%% Experimental Results

f1=[1,10, 100, 1e3, 1e4, 1e5, 2e5, 3e5, 4e5, 5e5, 6e5, 7e5, 8e5, 9e5, 1e6, 2e6, 3e6, 4e6, 5e6, 6e6, 7e6, 8e6, 9e6, 10e6];

% Amplifier Frequency Response Con CF=20p;
% Input voltages of 492 mV and 4920 mV
% A 1001-fold atenuator was added at the amplifier input
vin1=492*(1/1001)*ones(1,length(f1));
vin2=4920*(1/1001)*ones(1,length(f1));
% vout1: Gn=40dB
vout1=[484 484 484 484 487 487 487 487 481 481 475 468 462 456 443 365 294 243 205 182 165 152 142 134]*1e-3;
% vout2: Gn=60dB
vout2=10*[482 481 481 481 481 441 362 292 242 201 171 149 132 117 105 55.3 36.9 29.0 24.0 21.1 18.8 17.3 16.1 15.3]*1e-3;

G1=(1+2*500/10);
T1=G1*vout1.*(vin1.^(-1));
G2=(1+2*500/1);
T2=G2*vout2.*(vin2.^(-1));
hold off
semilogx(f1, 20*log10(T1),'ob');
hold on;
semilogx(f1, 20*log10(T2),'or');
grid;


%% Simulation Results with TINA
% LowNoise_CL_10.TSC

load FrequencyResponseIA_60dBC20p.txt
load FrequencyResponseIA_40dBC20p.txt
semilogx(FrequencyResponseIA_40dBC20p(:,1), FrequencyResponseIA_40dBC20p(:,2),'b');
semilogx(FrequencyResponseIA_60dBC20p(:,1), FrequencyResponseIA_60dBC20p(:,2),'r');

axis([100 5e6 0 65]);

%% Theoretical transfer function
Gn=1+1000/10; CF=20e-12; gm=28e-3;
f1=1; f2=1e8;
w1=2*pi*f1; w2=2*pi*f2;
AC=zpk([],[-gm/CF/Gn], gm/CF);
[mag,phase,w] = bode(AC,{w1,w2});
mag=20*log10(squeeze(mag));
phase=squeeze(phase); grid
semilogx(w/(2*pi), mag,'--b');
grid on;

Gn=1+1000/1; CF=20e-12; gm=28e-3;
f1=1; f2=1e8;
w1=2*pi*f1; w2=2*pi*f2;
AC=zpk([],[-gm/CF/Gn], gm/CF);
[mag,phase,w] = bode(AC,{w1,w2});
mag=20*log10(squeeze(mag));
phase=squeeze(phase); grid
semilogx(w/(2*pi), mag,'--r');
grid on;
xlabel('Frequency, Hz'); ylabel('Transfer Function Magnitude, dB')
% publicationPrint6(gcf,12,10,'AMP_FR_02','png',10);