% Amplifier Noise Measurements

% Records with 2 JFE2140 in parallel
% RD=500 Ohms; ID=7 mA each; RS=0; 
% ID=7 mA each JFET. It implies a total ID=14 mA (RD=500)
load freq_L.txt;          % frequency 0-200 Hz
load freq_H.txt;          % frequency 200-10 kHz
load noise_2x7mA_L.txt;   % 0-200 Hz
load noise_2x7mA_H.txt;   % 200-10 kHz

% Records with 1 JFE2140 per side
% RD=1000 Ohms; ID=7 mA each; RS=0; 
load noise_1x7mA_L.txt;   % 0-200 Hz
load noise_1x7mA_H.txt;   % 200-10 kHz

GINA111=1;
G=(1+2*510/1)*GINA111;

hold off
loglog(freq_L, noise_2x7mA_L/G,'r');
grid on; hold on
loglog(freq_L, noise_1x7mA_L/G,'b');
legend('2xJFET$@I_D$=7 mA', '1xJFET$@I_D$=7 mA each')
loglog(freq_H, noise_2x7mA_H/G,'r');
loglog(freq_H, noise_1x7mA_H/G,'b');

axis([1 15000 0.5e-9 10e-9]);
xlabel('Frequency, Hz');
ylabel('Input Referred Noise, V/$\sqrt{Hz}$');

title('Amplifier noise');

% publicationPrint6(gcf,12,10,'NoiseAmp_01','png',10);


